select  * from (
select  rownum as poradi, x.* from
(SELECT PV.PRAC_ZKR,
       PV.ZKR_PREDM,
       DECODE(:lang, 'cs', cz_nazev, 'sk', pv.cz_nazev, NVL(pv.AN_NAZEV, pv.CZ_NAZEV)) nazev
  FROM pred_varianty PV
 WHERE (
        pv.prac_zkr like '%'||upper(:pracoviste)||'%'
       AND
         (
         (PV.ZKR_PREDM like '%'||UPPER(:par_predmet)||'%' AND UPPER(PV.CZ_NAZEV) like '%'||UPPER(:par_nazev)||'%')
         OR UPPER(PV.CZ_NAZEV) like '%'||UPPER(:par_predmet)||'%'
         )
       )
 and    PV.rok_varianty = nvl(:rok, (select ROK_PLATNOSTI from KALENDAR where datum = trunc(SYSDATE)))
 ORDER BY PV.ZKR_PREDM,
       PV.CZ_NAZEV
  ) x where rownum <= nvl(:do,100)) y
  where y.poradi >= nvl(:od,0)
