SELECT distinct
    --s.jmeno,
    --s.prijmeni,
    fn_meaning(os.TITUL_PRED,'TITUL_PRED')||' '||os.JMENO||' '||os.PRIJMENI||' '||fn_meaning(os.TITUL_ZA,'TITUL_ZA')  as student,
    fn_meaning(os.TITUL_PRED,'TITUL_PRED')||' '||os.PRIJMENI||' '||os.JMENO||' '||fn_meaning(os.TITUL_ZA,'TITUL_ZA')  as student2,
    st.os_cislo,
    sp.fakulta_sp AS fakulta,
    DECODE(:lang, 'cs', fn_meaning2(fakulta_sp,'FAKULTA'), 'sk', fn_meaning2(fakulta_sp,'FAKULTA'), NVL(fn_meaning_en(fakulta_sp,'FAKULTA'), fn_meaning2(fakulta_sp,'FAKULTA'))) AS fakulta_slovne,
    sp.typ as fk_typ,
    DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)) AS obor, -- !!!chyba - todle je PROGRAM ne obor (oboru muze mit v ramci jednoho os cisla i vic)
    fn_vsechny_obko(st.os_cislo, fn_rok(st.os_cislo)) as obor_komb,
    DECODE(:lang, 'cs', d1.rv_meaning, 'sk', d1.rv_meaning, NVL(d1.english, d1.rv_meaning)) AS typ,
    DECODE(:lang, 'cs', d2.rv_meaning, 'sk', d2.rv_meaning, NVL(d2.english, d2.rv_meaning)) AS forma,
    sp.stpridno AS fk_stpridno,
    fn_adresa_studenta(st.os_cislo, 'ULICE_CISLO','TP') ulice,
    fn_adresa_studenta(st.os_cislo, 'OBEC_CAST','TP') mesto,
    os.ROD_CISLO rod_cislo
    --svr.krou_kod as krouzek,
    --svr.rok_platnosti AS rok

FROM
    cg_ref_codes d1,
    cg_ref_codes d2,    
    --STUDENTI_V_ROCE SVR,
    STUDENTI ST,
    STUDIJNI_PROGRAMY SP,
    osoby os

WHERE sp.typ = d1.rv_low_value
    AND d1.rv_domain = 'TYP_OBORU'
    AND sp.forma = d2.rv_low_value
    AND d2.rv_domain = 'FORMA_OBORU_NEW'
    AND (st.stav = 'S' OR st.stav = 'P')
    AND (
          (os.rod_cislo = (SELECT o.rod_cislo FROM orion o WHERE o.username = LOWER(:login)))
         OR
          (os.osobidno = ( SELECT osobidno FROM studenti st WHERE st.os_cislo = upper(:login)))
        )   
    AND SP.stpridno = ST.stpridno
    --AND ST.os_cislo = SVR.os_cislo
    --AND SVR.rok_platnosti = (select ROK_PLATNOSTI from KALENDAR where datum = to_date(SYSDATE))
    AND os.osobidno = st.osobidno     

ORDER  BY st.os_cislo

/*
SELECT distinct
    --s.jmeno,
    --s.prijmeni,
    fn_meaning(os.TITUL_PRED,'TITUL_PRED')||' '||os.JMENO||' '||os.PRIJMENI||' '||fn_meaning(os.TITUL_ZA,'TITUL_ZA')  as student,
    st.os_cislo,
    sp.fakulta_sp AS fakulta,
    DECODE(:lang, 'cs', sp.cz_nazev, 'sk', sp.cz_nazev, NVL(sp.an_nazev, sp.cz_nazev)) AS obor,
    DECODE(:lang, 'cs', d1.rv_meaning, 'sk', d1.rv_meaning, NVL(d1.english, d1.rv_meaning)) AS typ,
    DECODE(:lang, 'cs', d2.rv_meaning, 'sk', d2.rv_meaning, NVL(d2.english, d2.rv_meaning)) AS forma,
    sp.stpridno AS fk_stpridno,
    svr.rok_platnosti AS rok,
    svr.krou_kod as krouzek,
    
    PR.PREDZAPIS_OD AS normal_od,
    PR.PREDZAPIS_DO   AS normal_do,
    PR.KPREDZAPIS_OD  AS krouzkovy_od,
    PR.KPREDZAPIS_DO  AS krouzkovy_do

FROM
    cg_ref_codes d1,
    cg_ref_codes d2,    
    PREDZAPISY PR,
    STUDENTI_V_ROCE SVR,
    STUDENTI ST,
    STUDIJNI_PROGRAMY SP,
    osoby os

WHERE sp.typ = d1.rv_low_value
    AND d1.rv_domain = 'TYP_OBORU'
    AND sp.forma = d2.rv_low_value
    AND d2.rv_domain = 'FORMA_OBORU_NEW'
    AND (st.stav = 'S' OR st.stav = 'P')
    AND (
          (os.rod_cislo = (SELECT o.rod_cislo FROM orion o WHERE o.username = LOWER(:login)))
         OR
          (os.osobidno = ( SELECT osobidno FROM studenti st WHERE st.os_cislo = UPPER (:login)))
        )
    
    AND SP.stpridno = ST.stpridno
    AND ST.os_cislo = SVR.os_cislo
    AND PR.skupina_predz(+) = SVR.skupina_predz
    AND SVR.rok_platnosti = fn_rok_predzapisu
    --AND SP.typ <> '9'
    AND os.osobidno = st.osobidno     

ORDER  BY st.os_cislo
*/